> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore Call

> Restore a soft-deleted call by its ID.

Admins and super-admins can restore calls.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/campaigns/api.json post /campaigns/v1/campaigns/{campaign_id}/calls/{call_id}/restore
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/campaigns/{campaign_id}/calls/{call_id}/restore:
    post:
      tags:
        - Campaigns Calls
        - Campaign Calls
      summary: Restore Call
      description: |-
        Restore a soft-deleted call by its ID.

        Admins and super-admins can restore calls.
      operationId: >-
        campaigns_service_restore_call_by_call_id_v1_campaigns__campaign_id__calls__call_id__restore_post
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PydanticObjectId'
            description: Campaign configuration ID
          description: Campaign configuration ID
        - name: call_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PydanticObjectId'
            description: Call record ID
          description: Call record ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '400':
          description: Bad request — invalid input or constraint violation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Requested resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer: []
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    MessageResponse:
      properties:
        message:
          type: string
          title: Message
          description: Human-readable result message
          examples:
            - Operation completed successfully.
      type: object
      required:
        - message
      title: MessageResponse
    ErrorResponse:
      properties:
        message:
          type: string
          title: Message
          description: Human-readable error description
          examples:
            - Resource not found.
      type: object
      required:
        - message
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````